package com.ruoyi.szxc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.szxc.mapper.SzxcLunboMapper;
import com.ruoyi.szxc.domain.SzxcLunbo;
import com.ruoyi.szxc.service.ISzxcLunboService;

/**
 * 轮播设置Service业务层处理
 * 
 * @author hs
 * @date 2024-03-16
 */
@Service
public class SzxcLunboServiceImpl implements ISzxcLunboService 
{
    @Autowired
    private SzxcLunboMapper szxcLunboMapper;

    /**
     * 查询轮播设置
     * 
     * @param id 轮播设置主键
     * @return 轮播设置
     */
    @Override
    public SzxcLunbo selectSzxcLunboById(Long id)
    {
        return szxcLunboMapper.selectSzxcLunboById(id);
    }

    /**
     * 查询轮播设置列表
     * 
     * @param szxcLunbo 轮播设置
     * @return 轮播设置
     */
    @Override
    public List<SzxcLunbo> selectSzxcLunboList(SzxcLunbo szxcLunbo)
    {
        return szxcLunboMapper.selectSzxcLunboList(szxcLunbo);
    }

    /**
     * 新增轮播设置
     * 
     * @param szxcLunbo 轮播设置
     * @return 结果
     */
    @Override
    public int insertSzxcLunbo(SzxcLunbo szxcLunbo)
    {
        szxcLunbo.setCreateTime(DateUtils.getNowDate());
        return szxcLunboMapper.insertSzxcLunbo(szxcLunbo);
    }

    /**
     * 修改轮播设置
     * 
     * @param szxcLunbo 轮播设置
     * @return 结果
     */
    @Override
    public int updateSzxcLunbo(SzxcLunbo szxcLunbo)
    {
        szxcLunbo.setUpdateTime(DateUtils.getNowDate());
        return szxcLunboMapper.updateSzxcLunbo(szxcLunbo);
    }

    /**
     * 批量删除轮播设置
     * 
     * @param ids 需要删除的轮播设置主键
     * @return 结果
     */
    @Override
    public int deleteSzxcLunboByIds(Long[] ids)
    {
        return szxcLunboMapper.deleteSzxcLunboByIds(ids);
    }

    /**
     * 删除轮播设置信息
     * 
     * @param id 轮播设置主键
     * @return 结果
     */
    @Override
    public int deleteSzxcLunboById(Long id)
    {
        return szxcLunboMapper.deleteSzxcLunboById(id);
    }
}
